Subject: Re: bug#20871: 25.0.50; fill-single-char-nobreak-p does not recognize a single-letter word when it is preceded by an open paren

From: Eli Zaretskii <[email-masked]>
Date: Tue, 19 Dec 2017 18:15:45 +0200

> From: Marcin Borkowski <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 19 Dec 2017 12:44:21 +0100
> 
> >> I took a look.  It looks reasonable, but I think it will also need to
> >> be mentioned in the Emacs User manual, node "Fill Commands".  In
> >> addition, could you write a couple of tests for this feature?
> >
> > OK, I'll look into it and get back here.
> 
> So I did take a look.  The mention in the manual is already there,
> I forgot I did that back then.

Right, sorry I missed that somehow.

> Where should I put the tests?
> I expected something in e.g. test/lisp/textmodes/fill.el, but there's
> nothing like that there.

If the file doesn't exist, create it.

> Also, should I test only my function, or filling with it, or both?

I think filling with your function is the most important thing to
test.

Thanks.